diff --git a/test/regression/442-000005.wren b/test/regression/442-000005.wren
new file mode 100644
index 00000000..79f51a0c
--- /dev/null
+++ b/test/regression/442-000005.wren
@@ -0,0 +1,15 @@
+System.print("Held!")
+
+// expect error line 8
+class Wren {
+yTo(city) {
+System.print("Fl0to %(bity)")
+  }
+GGGGGGCGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGing GGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGG}
+
+vach GGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGG}
+
+vach {|word|èiberd(wryield(word) }
+}
+
+while (!ad
\ No newline at end of file
diff --git a/test/regression/442-000007.wren b/test/regression/442-000007.wren
new file mode 100644
index 00000000..b9352a42
--- /dev/null
+++ b/test/regression/442-000007.wren
@@ -0,0 +1,4 @@
+// expect error line 3
+// expect error line 4
+class 0""0
+class@0c""c00000000000000000000000000000000000000000000000000ëëëìëëëë
\ No newline at end of file
diff --git a/test/regression/442-000086.wren b/test/regression/442-000086.wren
new file mode 100644
index 00000000..a06c5f03
--- /dev/null
+++ b/test/regression/442-000086.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class]e00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000088.wren b/test/regression/442-000088.wren
new file mode 100644
index 00000000..a06c5f03
--- /dev/null
+++ b/test/regression/442-000088.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class]e00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000089.wren b/test/regression/442-000089.wren
new file mode 100644
index 00000000..636f40a8
--- /dev/null
+++ b/test/regression/442-000089.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class{M00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000100.wren b/test/regression/442-000100.wren
new file mode 100644
index 00000000..62409f63
--- /dev/null
+++ b/test/regression/442-000100.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000115.wren b/test/regression/442-000115.wren
new file mode 100644
index 00000000..190b1abe
--- /dev/null
+++ b/test/regression/442-000115.wren
@@ -0,0 +1,6 @@
+// expect error line 4
+// expect error line 5
+// expect error line 6
+0.p(""0
+classý0p("".0
+0""class W00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000166.wren b/test/regression/442-000166.wren
new file mode 100644
index 00000000..5cb6f4c1
--- /dev/null
+++ b/test/regression/442-000166.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class]e00000000000000000000000000000000000ÖÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000181.wren b/test/regression/442-000181.wren
new file mode 100644
index 00000000..26ef755c
--- /dev/null
+++ b/test/regression/442-000181.wren
@@ -0,0 +1,3 @@
+// expect error line 2
+class 0.r«««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««««0«0«0
+class W00000000000000000000000000000000000ÖÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000182.wren b/test/regression/442-000182.wren
new file mode 100644
index 00000000..35859f31
--- /dev/null
+++ b/test/regression/442-000182.wren
@@ -0,0 +1,5 @@
+// expect error line 3
+// expect error line 5
+em.0(0Hel00)
+
+class WVe00000000000000000000000000000000ÖÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000238.wren b/test/regression/442-000238.wren
new file mode 100644
index 00000000..712d3d99
--- /dev/null
+++ b/test/regression/442-000238.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W00000000000000000000000000000000000ÖÖÜëùëë
\ No newline at end of file
diff --git a/test/regression/442-000295.wren b/test/regression/442-000295.wren
new file mode 100644
index 00000000..47a4b178
--- /dev/null
+++ b/test/regression/442-000295.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W00000000000000000000000000000000000ÖÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000321.wren b/test/regression/442-000321.wren
new file mode 100644
index 00000000..4099b217
--- /dev/null
+++ b/test/regression/442-000321.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+classW00000000000000000000000000000000000ÖÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000348.wren b/test/regression/442-000348.wren
new file mode 100644
index 00000000..83fbad3a
--- /dev/null
+++ b/test/regression/442-000348.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W000 y0000000000000000000000000000000000000000000000000ÖÖÖÖÖÖ
\ No newline at end of file
diff --git a/test/regression/442-000357.wren b/test/regression/442-000357.wren
new file mode 100644
index 00000000..62409f63
--- /dev/null
+++ b/test/regression/442-000357.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000440.wren b/test/regression/442-000440.wren
new file mode 100644
index 00000000..62409f63
--- /dev/null
+++ b/test/regression/442-000440.wren
@@ -0,0 +1,2 @@
+// expect error line 2
+class W00000000000000000000000000000000000«««««««
\ No newline at end of file
diff --git a/test/regression/442-000665.wren b/test/regression/442-000665.wren
new file mode 100644
index 00000000..5793d2c1
--- /dev/null
+++ b/test/regression/442-000665.wren
@@ -0,0 +1,4 @@
+// expect error line 3
+// expect error line 4
+0.p(""0
+class¾S00000000000000000000000000000000000ëëëëìëë
\ No newline at end of file
